Wir müssen sie hiermit auf die Einstellung des Supports für folgende Funktionen auf unseren Webspace Paketen und Server hinweisen:

– PHP 5.6
– PHP 7.0
– PHP 7.1
– PHP 7.2
– xmlrpc.php

Die Umstellungen erfolgen nach und nach im Mai 2021

Nachfolgend möchten wir Ihnen erneut alle relevanten Informationen zu dieser notwendigen Umstellung übermitteln:

Die genannten PHP-Versionen haben den „End-of-Life“ Status erreicht und werden somit nicht länger mit Sicherheitsupdates versorgt.
Um unseren Kunden eine möglichst sichere und stabile Plattform zu bieten, ist die Deaktivierung der veralteten PHP-Versionen leider unumgänglich.
Sobald wir die Umstellung unserer Systeme abgeschlossen haben, werden nur noch folgende PHP-Versionen zur Verfügung stehen:

– PHP 7.3
– PHP 7.4
– PHP 8.0

Um etwaige Kompatibilitätsprobleme rechtzeitig beheben zu können und um sicherzustellen,
dass Ihre Webseiten auch nach der Umstellung noch funktionieren, sollten Sie diese schon vorab auf eine der neueren PHP-Versionen aktualisieren.
Einen Wechsel der PHP-Version Ihrer Webseiten können Sie in der Administration Ihres Webspace Pakets vornehmen.

Im Rahmen der Umstellungen werden wir auch die Nutzung von xmlrpc.php Skripten auf unseren Webspace Paketen unterbinden,
da die XML-RPC WordPress-Spezifikation inzwischen eine derart hohe Anzahl an Schwachstellen und Sicherheitslücken beinhaltet,
dass ein bedenkenloser Einsatz nicht mehr möglich ist. Die WordPress REST API wird in vielerlei Hinsicht als Nachfolger
von XML-RPC betrachtet und könnte somit auch für Sie eine Alternative darstellen.